Part Sphere/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 50: Line 50:


[[File:SphereCutThreeAngles.jpg|400px]]
[[File:SphereCutThreeAngles.jpg|400px]]

== Scripting ==

A Part Sphere can be created using the following function:

{{Code|code=
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}

* Where {{Incode|"mySphere"}} is the name for the object.
* The function returns the newly created object.





Revision as of 14:03, 8 January 2022

Díl Koule

Umístění Menu
Díl -> Koule
Pracovní stoly
Modul Díl, Kompletace
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Díl Vytváření zákl.geom.tvarů

Description

Vytvoří jednoduchou parametrickou kouli podle parametrů pozice, úhel1, úhel2, úhel3 a poloměr.

Usage

Použití

V pracovní ploše Díl klikněte na ikonu koule . Koule bude při vytvoření umístěna do počátečního bodu (bod 0,0,0). Parametry úhly dovolují vytvořit částečnou kouli místo celé koule (defaultně jsou nastaveny na 360°)

Result: The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).

The properties of the object can be edited, either in the Property editor or by double-clicking the object in the Tree view.

Volby

Data

Sphere

  • ÚdajeRadius: Radius of the sphere
  • ÚdajeAngle 1: 1nd angle to cut / define the sphere
  • ÚdajeAngle 2: 2nd angle to cut / define the sphere
  • ÚdajeAngle 3: 3rd angle to cut / define the sphere

Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.

Scripting

A Part Sphere can be created using the following function:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.